/**
* DevExtreme (ui/autocomplete.d.ts)
* Version: 19.1.8 (build 19352-0935)
* Build date: Wed Dec 18 2019
*
* Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxAutocomplete(): JQuery;
    dxAutocomplete(options: "instance"): DevExpress.ui.dxAutocomplete;
    dxAutocomplete(options: string): any;
    dxAutocomplete(options: string, ...params: any[]): any;
    dxAutocomplete(options: DevExpress.ui.dxAutocompleteOptions): JQuery;
}
}
export default DevExpress.ui.dxAutocomplete;
export type Options = DevExpress.ui.dxAutocompleteOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxAutocompleteOptions;